/*****************************************************************************/
/*                                                                           */
/* FILENAME                                                                  */
/* 	IIR_filters_fourth_order.h                                               */
/*                                                                           */
/* DESCRIPTION                                                               */
/*   Header file for fourth order IIR filters type I and type II.            */
/*                                                                           */
/* REVISION                                                                  */
/*   Revision: 1.00	                                                         */
/*   Author  : Richard Sikora                                                */
/*---------------------------------------------------------------------------*/
/*                                                                           */
/* HISTORY                                                                   */
/*   Revision 1.00                                                           */
/*   20th November 2002. Created by Richard Sikora.                          */
/*                                                                           */
/*****************************************************************************/

#ifndef IIR_FILTERS_FOURTH_ORDER_H
#define IIR_FILTERS_FOURTH_ORDER_H

signed int fourth_order_IIR_direct_form_I( const signed int * coefficients, 
                                                 signed int input);

signed int fourth_order_IIR_direct_form_II( const signed int * coefficients, 
                                                  signed int input);


#endif

/*****************************************************************************/
/* End of IIR_filters_fourth_order.h                                         */
/*****************************************************************************/
